<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for EditPNRResponse StructType
 * @package Dg
 * @subpackage Structs
 */
class DgEditPNRResponse extends AbstractStructBase
{
    /**
     * The EditPnrRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgEditPnrRS
     */
    public $EditPnrRS;
    /**
     * Constructor method for EditPNRResponse
     * @uses DgEditPNRResponse::setEditPnrRS()
     * @param \dgsoft\StructType\DgEditPnrRS $editPnrRS
     */
    public function __construct(\dgsoft\StructType\DgEditPnrRS $editPnrRS = null)
    {
        $this
            ->setEditPnrRS($editPnrRS);
    }
    /**
     * Get EditPnrRS value
     * @return \dgsoft\StructType\DgEditPnrRS|null
     */
    public function getEditPnrRS()
    {
        return $this->EditPnrRS;
    }
    /**
     * Set EditPnrRS value
     * @param \dgsoft\StructType\DgEditPnrRS $editPnrRS
     * @return \dgsoft\StructType\DgEditPNRResponse
     */
    public function setEditPnrRS(\dgsoft\StructType\DgEditPnrRS $editPnrRS = null)
    {
        $this->EditPnrRS = $editPnrRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgEditPNRResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
